"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Utility functions.
 */
var path_1 = require("path");
function addTrailingSlash(str) {
    return str && str[str.length - 1] !== '/' ? str + '/' : str;
}
exports.addTrailingSlash = addTrailingSlash;
var urlsRE = /(src|href|srcset)=("|')(?!http)(\/{0,2})((?:(?!\2).)*)\2/g;
var trailExtRE = /(?!.+\/).+\.html$/;
var joinFixRE = /^(https?:)\//;
var joinFixRP = '$1//';
function resolveRelativeURLs(html, url) {
    var protocol = url.slice(0, 5) === 'https' ? 'https://' : 'http://';
    var base = addTrailingSlash(url.replace(trailExtRE, ''));
    return html.replace(urlsRE, function (m, attr, quot, leadSlashes, href) {
        return attr + '=' + quot + (leadSlashes === '//' ? (protocol + href) : path_1.join(base, href).replace(joinFixRE, joinFixRP)) + quot;
    });
}
exports.resolveRelativeURLs = resolveRelativeURLs;
//# sourceMappingURL=utils.js.map