/// <reference types="jquery" />
export declare type options = {
    corsProxy?: string;
    resolveURLs?: boolean;
    iframe?: boolean | {
        width: string;
        height: string;
    };
};
export declare type scrollResolve = {
    succesfulTimes: number;
    totalRetries: number;
};
export declare class Getsy {
    readonly url: string;
    readonly corsProxy: string;
    content: string;
    iframe: HTMLIFrameElement;
    iframeDoc: Document;
    constructor(url: string, onLoad: (err: Error, obj?: Getsy) => void, {corsProxy, resolveURLs, iframe}?: options);
    getMe(sel: string): JQuery;
    scroll(numberOfTimes: number, element?: HTMLElement, interval?: number, retries?: number): Promise<scrollResolve>;
    hideFrame(): void;
    showFrame(): void;
}
export default function getsy(url: string, options?: options): Promise<Getsy>;
