/**
 * Utility functions.
 */
import { join } from 'path';
export function addTrailingSlash(str) {
    return str && str[str.length - 1] !== '/' ? str + '/' : str;
}
var urlsRE = /(src|href|srcset)=("|')(?!http)(\/{0,2})((?:(?!\2).)*)\2/g;
var trailExtRE = /(?!.+\/).+\.html$/;
var joinFixRE = /^(https?:)\//;
var joinFixRP = '$1//';
export function resolveRelativeURLs(html, url) {
    var protocol = url.slice(0, 5) === 'https' ? 'https://' : 'http://';
    var base = addTrailingSlash(url.replace(trailExtRE, ''));
    return html.replace(urlsRE, function (m, attr, quot, leadSlashes, href) {
        return attr + '=' + quot + (leadSlashes === '//' ? (protocol + href) : join(base, href).replace(joinFixRE, joinFixRP)) + quot;
    });
}
//# sourceMappingURL=utils.js.map